// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"

	ms_sharedmodels "gitlab.com/nikita.morozov/ms-shared/models"
)

// BotRepository is an autogenerated mock type for the BotRepository type
type BotRepository struct {
	mock.Mock
}

// Count provides a mock function with given fields:
func (_m *BotRepository) Count() (uint64, error) {
	ret := _m.Called()

	var r0 uint64
	if rf, ok := ret.Get(0).(func() uint64); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(uint64)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Create provides a mock function with given fields: item
func (_m *BotRepository) Create(item *models.Bot) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Bot) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *BotRepository) Delete(item *models.Bot) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Bot) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *BotRepository) GetById(id uint) (*models.Bot, error) {
	ret := _m.Called(id)

	var r0 *models.Bot
	if rf, ok := ret.Get(0).(func(uint) *models.Bot); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Bot)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetBySlug provides a mock function with given fields: slug
func (_m *BotRepository) GetBySlug(slug string) (*models.Bot, error) {
	ret := _m.Called(slug)

	var r0 *models.Bot
	if rf, ok := ret.Get(0).(func(string) *models.Bot); ok {
		r0 = rf(slug)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Bot)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: opts
func (_m *BotRepository) List(opts *ms_sharedmodels.ListOptions) (*[]models.Bot, ms_sharedmodels.Paginator, error) {
	ret := _m.Called(opts)

	var r0 *[]models.Bot
	if rf, ok := ret.Get(0).(func(*ms_sharedmodels.ListOptions) *[]models.Bot); ok {
		r0 = rf(opts)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Bot)
		}
	}

	var r1 ms_sharedmodels.Paginator
	if rf, ok := ret.Get(1).(func(*ms_sharedmodels.ListOptions) ms_sharedmodels.Paginator); ok {
		r1 = rf(opts)
	} else {
		r1 = ret.Get(1).(ms_sharedmodels.Paginator)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(*ms_sharedmodels.ListOptions) error); ok {
		r2 = rf(opts)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// ListOfEnv provides a mock function with given fields: env
func (_m *BotRepository) ListOfEnv(env string) (*[]models.Bot, ms_sharedmodels.Paginator, error) {
	ret := _m.Called(env)

	var r0 *[]models.Bot
	if rf, ok := ret.Get(0).(func(string) *[]models.Bot); ok {
		r0 = rf(env)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Bot)
		}
	}

	var r1 ms_sharedmodels.Paginator
	if rf, ok := ret.Get(1).(func(string) ms_sharedmodels.Paginator); ok {
		r1 = rf(env)
	} else {
		r1 = ret.Get(1).(ms_sharedmodels.Paginator)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(string) error); ok {
		r2 = rf(env)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// Update provides a mock function with given fields: item
func (_m *BotRepository) Update(item *models.Bot) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Bot) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
